mueval-core

Safe Haskell | Safe-Infered

Mueval.ArgsParse

Synopsis

- data Options = Options {
  - timeLimit :: Int
  - modules :: Maybe [String]
  - expression :: String
  - loadFile :: String
  - user :: String
  - printType :: Bool
  - extensions :: Bool
  - namedExtensions :: [String]
  - noImports :: Bool
  - rLimits :: Bool
  - help :: Bool
  }
- interpreterOpts :: [String] -> Either (Bool, String) Options
- getOptions :: [String] -> Either (Bool, String) Options

# Documentation

data Options

See the results of --help for information on what each option means.

Constructors

Options |

Fields

timeLimit :: Int
modules :: Maybe [String]
expression :: String
loadFile :: String
user :: String
printType :: Bool
extensions :: Bool
namedExtensions :: [String]
noImports :: Bool
rLimits :: Bool
help :: Bool

Instances

Show Options |

interpreterOpts :: [String] -> Either (Bool, String) Options

getOptions :: [String] -> Either (Bool, String) Options

Just give us the end result options; this parsing for us. Bonus points for handling UTF.